#include "about_window.hpp"
#include <license.hpp>
#include <config.h>
AboutWindow::AboutWindow() {
    set_authors({"Catmeow72"});
    set_version(TAG);
    Glib::ustring license_text;
    auto &licenses = get_license_data();
    for (auto &license : licenses) {
        license_text += license.Project + ": " + license.Spdx + "\n";
        license_text += license.LicenseContents;
        license_text += "\n\n";
    }

    set_license(license_text);
    set_wrap_license(true);
    set_logo_icon_name("looper");
}